**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 2:	LA PREPARAZIONE DEI DATI 
**********************************************************
* questa sintassi: 
* long2spell_carriereIT.do 
** dal file "carriereIT_lungo" al file spell ** 
* VERSIONE: AGOSTO 2013
**********************************************************


*version 12.1 
cd F:\longi\data
use carriereIT_lungo.dta, clear 
* dalla forma lunga ai dati spell  
* COLLAPSE 
*	"sc2" e' un contatore per il numero di spells distinte con "empstat e isco88" 
sort id time
recode isco88 .=9999 0=9998
gen h=empstat*100000+isco88
tab h
gen sc=0
by id:  replace sc=sc[_n-1]+1 if h!=h[_n-1]& id==id[_n-1]
gen sc2=1
replace sc2=sc2[_n-1]+sc if id==id[_n-1]
*	crea un file SPELL 
collapse (first) ts (max) tf (first) empstat isco88 job genere age bcoho casmin father cnordsud sector1, by(id sc2) 
gen dur=tf-ts 
recode isco88 9999=-99 9998=-98 
lab val empstat empstat
lab val bcoho bcoho 
lab val job cond
lab val casmin casmin
lab val genere sex 
lab val father fclass23 
lab val cnordsud cnordsud
lab val sector1 sector1 
tab1 empstat isco88 job genere age bcoho casmin father cnordsud 

drop sc sc2 

label data "spell file"
*save carriereIT_spell.dta, replace 
*******************************
